View Issue Details

IDProjectCategoryView StatusLast Update
0030958Open CASCADEOCCT:Modeling Algorithmspublic2020-12-02 17:12
Reporterjgv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0030958: BRepOffsetAPI_ThruSections operation raises an exception while building history
DescriptionMethod BRepOffsetAPI_ThruSections::Generated fails with exception trying to build a set of edges for a vertex of input wire.
Steps To Reproducerestore CompWires.brep ww
explode ww
thrusections res 0 1 ww_1 ww_2
TagsNo tags attached.
Test case numberbugs modalg_7 bug30958

Attached Files

  • bug30958_CompWires.brep (2,016 bytes)

Relationships

child of 0026150 closedbugmaster Community BRepOffsetAPI_ThruSections doesn't implement history method Generated(). 

Activities

jgv

2019-10-16 13:32

developer  

bug30958_CompWires.brep (2,016 bytes)

jgv

2019-10-16 13:32

developer   ~0088172

Please add attached shape to database.

msv

2019-10-16 16:40

developer   ~0088183

Done

git

2019-10-21 13:53

administrator   ~0088381

Branch CR30958 has been created by jgv.

SHA-1: bf7b1eb19334a71dedf6b08bd8c30fa51d1fd3c5


Detailed log of new commits:

Author: jgv
Date: Mon Oct 21 13:50:10 2019 +0300

    0030958: BRepOffsetAPI_ThruSections operation raises an exception while building history
    
    Correct methods Build and Generated:
    use BRepTools_WireExplorer instead of TopExp_Explorer or TopoDS_Iterator, for compatibility with previous computations.

git

2019-10-23 15:19

administrator   ~0088555

Branch CR30958 has been updated forcibly by jgv.

SHA-1: 4294df2bda797c2fa5c2f8a7c8f65b0a574449cb

git

2019-10-23 17:14

administrator   ~0088557

Branch CR30958 has been updated by jgv.

SHA-1: d7bce211be00c293245cb06f51490c7f0f34bb2f


Detailed log of new commits:

Author: jgv
Date: Wed Oct 23 17:13:29 2019 +0300

    Modify test case

jgv

2019-10-23 18:41

developer   ~0088558

Please review the branch CR30958.

msv

2019-10-24 12:20

developer   ~0088568

As 0029653 is solved by this patch, then please apply the patch of EMV from the branch CR29653 into your branch.

git

2019-10-24 16:35

administrator   ~0088573

Branch CR30958 has been updated by jgv.

SHA-1: 425e1d14a600b4b589bd3552cbfa41835a7e7625


Detailed log of new commits:

Author: emv
Date: Tue Mar 27 15:14:44 2018 +0300

    0029653: Unable to get generated shapes for some of the arguments of Thrusections operation
    
    Update test case to reproduce the problem by checking possibility of getting generated shapes for each vertex and edge of the arguments of Thrusections operation.

jgv

2019-10-24 16:36

developer   ~0088574

Please review.

msv

2019-10-24 17:04

developer   ~0088575

Combine to one commit with the proper message.

git

2019-10-24 17:13

administrator   ~0088578

Branch CR30958 has been updated forcibly by jgv.

SHA-1: 7d3207299fc09d9b8a9bcd9e87e769bf799f9a9e

jgv

2019-10-24 17:13

developer   ~0088579

Please review.

msv

2019-10-24 19:08

developer   ~0088582

Reviewed.

apn

2019-10-29 20:42

administrator   ~0088654

bugs modalg_4 bug22646 - FAILED
http://occt-tests/WEEK-44-OCCT/Debian80-64/bugs/modalg_4/bug22646.html
http://occt-tests/WEEK-44-OCCT/Windows-64-VC14/bugs/modalg_4/bug22646.html

git

2019-11-13 16:45

administrator   ~0088937

Branch CR30958 has been updated forcibly by jgv.

SHA-1: 75eb46ed75b8039a77bb14a309283f4295d1c29e

jgv

2019-11-13 18:43

developer   ~0088943

Please review the last update.

msv

2019-11-13 19:12

developer   ~0088945

OK.

bugmaster

2019-11-15 16:36

administrator   ~0089005

Combination -
OCCT branch : WEEK-46
master SHA - 4c26106f76a508beaceae1b41721814df67d07cd
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-46 SHA - 3f348646843b4cc756f9c803d310d73f360866c1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16812.11000000003 / 16846.340000000055 [-0.20%]
Products
Total CPU difference: 10793.860000000068 / 10790.470000000067 [+0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 18304.125 / 18330.078125 [-0.14%]
Products
Total CPU difference: 12823.953125 / 12788.8125 [+0.27%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-11-16 18:11

administrator   ~0089020

Branch CR30958 has been deleted by inv.

SHA-1: 75eb46ed75b8039a77bb14a309283f4295d1c29e

Related Changesets

occt: master bf97419a

2019-10-21 10:50:10

jgv


Committer: bugmaster Details Diff
0030958: BRepOffsetAPI_ThruSections operation raises an exception while building history

Correct methods Build and Generated:
use BRepTools_WireExplorer instead of TopExp_Explorer or TopoDS_Iterator, for compatibility with previous computations.
Affected Issues
0030958
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff File
mod - tests/bugs/modalg_4/bug22646 Diff File
add - tests/bugs/modalg_7/bug30958 Diff File

Issue History

Date Modified Username Field Change
2019-09-09 18:39 jgv New Issue
2019-09-09 18:39 jgv Assigned To => msv
2019-09-09 18:39 jgv File Added: CompWires.brep
2019-09-09 18:39 jgv Assigned To msv => jgv
2019-10-16 13:08 jgv Relationship added child of 0026150
2019-10-16 13:31 jgv File Deleted: CompWires.brep
2019-10-16 13:32 jgv File Added: bug30958_CompWires.brep
2019-10-16 13:32 jgv Note Added: 0088172
2019-10-16 13:32 jgv Assigned To jgv => msv
2019-10-16 13:32 jgv Status new => feedback
2019-10-16 16:40 msv Note Added: 0088183
2019-10-16 16:40 msv Assigned To msv => jgv
2019-10-16 16:40 msv Status feedback => assigned
2019-10-21 13:53 git Note Added: 0088381
2019-10-23 15:19 git Note Added: 0088555
2019-10-23 17:14 git Note Added: 0088557
2019-10-23 18:41 jgv Note Added: 0088558
2019-10-23 18:41 jgv Assigned To jgv => msv
2019-10-23 18:41 jgv Status assigned => resolved
2019-10-24 12:20 msv Note Added: 0088568
2019-10-24 12:20 msv Assigned To msv => jgv
2019-10-24 12:20 msv Status resolved => assigned
2019-10-24 16:35 git Note Added: 0088573
2019-10-24 16:36 jgv Note Added: 0088574
2019-10-24 16:36 jgv Assigned To jgv => msv
2019-10-24 16:36 jgv Status assigned => resolved
2019-10-24 17:04 msv Note Added: 0088575
2019-10-24 17:04 msv Assigned To msv => jgv
2019-10-24 17:04 msv Status resolved => assigned
2019-10-24 17:13 git Note Added: 0088578
2019-10-24 17:13 jgv Note Added: 0088579
2019-10-24 17:13 jgv Assigned To jgv => msv
2019-10-24 17:13 jgv Status assigned => resolved
2019-10-24 19:08 msv Note Added: 0088582
2019-10-24 19:08 msv Assigned To msv => bugmaster
2019-10-24 19:08 msv Status resolved => reviewed
2019-10-26 19:40 apn Test case number => bugs modalg_7 bug30958
2019-10-29 20:42 apn Note Added: 0088654
2019-10-29 20:43 apn Assigned To bugmaster => jgv
2019-10-29 20:43 apn Status reviewed => assigned
2019-11-13 16:45 git Note Added: 0088937
2019-11-13 18:43 jgv Note Added: 0088943
2019-11-13 18:43 jgv Assigned To jgv => msv
2019-11-13 18:43 jgv Status assigned => resolved
2019-11-13 19:12 msv Note Added: 0088945
2019-11-13 19:12 msv Assigned To msv => bugmaster
2019-11-13 19:12 msv Status resolved => reviewed
2019-11-15 16:36 bugmaster Note Added: 0089005
2019-11-15 16:36 bugmaster Status reviewed => tested
2019-11-16 17:57 bugmaster Changeset attached => occt master bf97419a
2019-11-16 17:57 bugmaster Status tested => verified
2019-11-16 17:57 bugmaster Resolution open => fixed
2019-11-16 18:11 git Note Added: 0089020
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed